### Method

# Snapd Client follow_logs_async

since: 1.64

#### Declaration [src]

    void
    snapd_client_follow_logs_async (
      SnapdClient* client,
      GStrv names,
      SnapdLogCallback log_callback,
      gpointer log_callback_data,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Follow logs for snap services. This call will only complete if snapd closes the connection and will stop any other request on this client from being sent.

Available since: 1.64

This method completes asynchronously. Use `snapd_client_follow_logs_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`names`

  Type: An array of `utf8`

  A null-terminated array of service names or `NULL`.

  The argument can be `NULL`.
  The array must be `NULL`-terminated.
  Each element is a NUL terminated UTF-8 string.

`log_callback`

  Type: `SnapdLogCallback`

  A `SnapdLogCallback` to c (log_callback_data)all when a log is received.

`log_callback_data`

  Type: `gpointer`

  The data to pass to `log_callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  A `GCancellable` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the request is satisfied.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  The data to pass to callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.